<!-- @desc:查看大图  @auth:洪旭东  @time:2022-06-25 13:17 -->
<template>
  <div>
    <Modal
      v-model="visible"
      width="782"
    >
      <div style="text-align: center">
        <img :src="url" style="max-height: 750px; max-width: 750px"/>
      </div>
      <div slot="footer"/>
    </Modal>
  </div>
</template>

<script>
export default {
  name: 'big-pic',
  model: {
    prop: 'value',
    event: 'close'
  },
  watch: {
    value(val) {
      this.visible = val
    },
    visible(val) {
      if (!val) {
        this.$emit('close', false)
      } else {
      }
    },
  },
  props: {
    value: {
      type: Boolean,
      default: false
    },
    // 图片链接
    url: {
      type: String,
    },
  },
  data() {
    return {
      visible: false,
    }
  },
  methods: {},
  created() {

  }
}
</script>

<style scoped>

</style>
